com.icesoft.faces.component.panelconfirmation

## Class PanelConfirmation

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - com.icesoft.faces.component.panelconfirmation.PanelConfirmation

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class PanelConfirmation
      extends javax.faces.component.UIComponentBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelConfirmation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAcceptLabel()` Return the value of the `acceptLabel` property.
    `java.lang.String` | `getBodyClass()` Return the value of the `bodyClass` property.
    `java.lang.String` | `getButtonsClass()` Return the value of the `buttonsClass` property.
    `java.lang.String` | `getCancelLabel()` Return the value of the `cancelLabel` property.
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getHeaderClass()` Return the value of the `headerClass` property.
    `java.lang.String` | `getMessage()` Return the value of the `message` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTitle()` Return the value of the `title` property.
    `java.lang.String` | `getType()` Return the value of the `type` property.
    `boolean` | `isAutoCentre()` Return the value of the `autoCentre` property.
    `boolean` | `isDisplayAtMouse()` Return the value of the `displayAtMouse` property.
    `boolean` | `isDraggable()` Return the value of the `draggable` property.
    `boolean` | `isEscape()` Return the value of the `escape` property.
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAcceptLabel(java.lang.String acceptLabel)` Set the value of the `acceptLabel` property.
    `void` | `setAutoCentre(boolean autoCentre)` Set the value of the `autoCentre` property.
    `void` | `setCancelLabel(java.lang.String cancelLabel)` Set the value of the `cancelLabel` property.
    `void` | `setDisplayAtMouse(boolean displayAtMouse)` Set the value of the `displayAtMouse` property.
    `void` | `setDraggable(boolean draggable)` Set the value of the `draggable` property.
    `void` | `setEscape(boolean escape)` Set the value of the `escape` property.
    `void` | `setMessage(java.lang.String message)` Set the value of the `message` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
    `void` | `setType(java.lang.String type)` Set the value of the `type` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelConfirmation

          public PanelConfirmation()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the value of the `title` property.

    - #### getTitle

          public java.lang.String getTitle()

      Return the value of the `title` property.

    - #### setMessage

          public void setMessage(java.lang.String message)

      Set the value of the `message` property.

    - #### getMessage

          public java.lang.String getMessage()

      Return the value of the `message` property.

    - #### setType

          public void setType(java.lang.String type)

      Set the value of the `type` property.

    - #### getType

          public java.lang.String getType()

      Return the value of the `type` property.

    - #### setAcceptLabel

          public void setAcceptLabel(java.lang.String acceptLabel)

      Set the value of the `acceptLabel` property.

    - #### getAcceptLabel

          public java.lang.String getAcceptLabel()

      Return the value of the `acceptLabel` property.

    - #### setCancelLabel

          public void setCancelLabel(java.lang.String cancelLabel)

      Set the value of the `cancelLabel` property.

    - #### getCancelLabel

          public java.lang.String getCancelLabel()

      Return the value of the `cancelLabel` property.

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

      Return the value of the `headerClass` property.

    - #### getBodyClass

          public java.lang.String getBodyClass()

      Return the value of the `bodyClass` property.

    - #### getButtonsClass

          public java.lang.String getButtonsClass()

      Return the value of the `buttonsClass` property.

    - #### setAutoCentre

          public void setAutoCentre(boolean autoCentre)

      Set the value of the `autoCentre` property.

    - #### isAutoCentre

          public boolean isAutoCentre()

      Return the value of the `autoCentre` property.

    - #### setDraggable

          public void setDraggable(boolean draggable)

      Set the value of the `draggable` property.

    - #### isDraggable

          public boolean isDraggable()

      Return the value of the `draggable` property.

    - #### setDisplayAtMouse

          public void setDisplayAtMouse(boolean displayAtMouse)

      Set the value of the `displayAtMouse` property.

    - #### isDisplayAtMouse

          public boolean isDisplayAtMouse()

      Return the value of the `displayAtMouse` property.

    - #### isEscape

          public boolean isEscape()

      Return the value of the `escape` property.

      Contents: Flag indicating that characters that are sensitive in HTML and XML markup must be escaped. This flag is set to "true" by default.

    - #### setEscape

          public void setEscape(boolean escape)

      Set the value of the `escape` property.

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.